package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProAddBean;
import com.wd.workoffice.bean.TicketAddBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class ProAddAdapter extends BaseQuickAdapter<ProAddBean.RecordsBean, BaseViewHolder> {
    int type;//0,add 1,submit

    public ProAddAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public ProAddAdapter(int layoutResId, @Nullable List<ProAddBean.RecordsBean> data, int type) {
        super(layoutResId, data);
        this.type = type;
    }

    @Override
    protected void convert(BaseViewHolder helper, ProAddBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getProductName());
        helper.setText(R.id.tv_order, item.getOrderId());
        helper.setText(R.id.tv_order_type, item.getOrderTypeName());
        helper.setText(R.id.tv_pd_code, item.getSerialNumber());
        helper.setText(R.id.tv_spec, item.getProductSpec());
        helper.setText(R.id.tv_unit, item.getProductUnit());
        helper.setText(R.id.tv_apply_num, MathUtils.converData(item.getCanPackageSum(),3));
        if (type == 1) {
            helper.setVisible(R.id.iv_cart, false);
        }
    }
}

